%define qtmajor 5
%define qtminor 4
%define qtsubminor 2

%define rel 1

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtbluetooth %mklibname qt5bluetooth %qtmajor
%define libqtbluetooth_d %mklibname qt5bluetooth -d
%define libqtbluetooth_p_d %mklibname qt5bluetooth-private  -d

%define libqtnfc %mklibname qt5nfc %qtmajor
%define libqtnfc_d %mklibname qt5nfc -d
%define libqtnfc_p_d %mklibname qt5nfc-private  -d

%define qttarballdir qtconnectivity-opensource-src-%{qtversion}

Name: qtconnectivity5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt Connectivity
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL: http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %{version}
BuildRequires: qtquick5-devel >= %{version}
BuildRequires: qtqml5-devel >= %{version}
BuildRequires: pkgconfig(bluez)
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

#------------------------------------------------------------------------------

%package -n qtbluetooth5
Summary: Qt%{qtmajor} Bluetooth Component Library
Group: System/Libraries
Requires: %{libqtbluetooth} = %{version}
Provides: qt5bluetooth = %{version}

%description -n qtbluetooth5
Qt%{qtmajor} Component Library.

The Qt Bluetooth enables connectivity between Bluetooth enabled devices.

%files -n qtbluetooth5
%{_qt5_bindir}/sdpscanner
%{_qt5_prefix}/qml/QtBluetooth

#------------------------------------------------------------------------------

%package -n %{libqtbluetooth}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires: bluez

%description -n %{libqtbluetooth}
Qt%{qtmajor} Component Library.

The Qt Bluetooth enables connectivity between Bluetooth enabled devices.

%files -n %{libqtbluetooth}
%{_qt5_libdir}/libQt5Bluetooth.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtbluetooth_d}
Summary: Devel files needed to build apps based on QtBluetooth
Group: Development/KDE and Qt
Requires: %{libqtbluetooth} = %version
Provides: libqtbluetooth5-devel = %version
Provides: libqt5bluetooth-devel = %version
Provides: qtbluetooth5-devel = %version
Provides: qt5bluetooth-devel = %version

%description -n %{libqtbluetooth_d}
Devel files needed to build apps based on Qt Bluetooth.

%files -n %{libqtbluetooth_d}
%{_qt5_libdir}/libQt5Bluetooth.prl
%{_qt5_libdir}/libQt5Bluetooth.so
%{_qt5_libdir}/pkgconfig/Qt5Bluetooth.pc
%{_qt5_libdir}/cmake/Qt5Bluetooth
%{_qt5_datadir}/examples/bluetooth
%{_qt5_datadir}/mkspecs/modules/qt_lib_bluetooth.pri
%{_qt5_includedir}/QtBluetooth
%exclude %{_qt5_includedir}/QtBluetooth/%qtversion

#------------------------------------------------------------------------------

%package -n %{libqtbluetooth_p_d}
Summary: Devel files needed to build apps based on QtBluetooth
Group:    Development/KDE and Qt
Requires: %{libqtbluetooth_d} = %version
Provides: libqtbluetooth5-private-devel = %version
Provides: libqt5bluetooth-private-devel = %version
Provides: qtbluetooth5-private-devel = %version
Provides: qt5bluetooth-private-devel = %version

%description -n %{libqtbluetooth_p_d}
Devel files needed to build apps based on QtBluetooth.

%files -n %{libqtbluetooth_p_d}
%{_qt5_includedir}/QtBluetooth/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_bluetooth_private.pri

#------------------------------------------------------------------------------

%package -n qtnfc5
Summary: Qt%{qtmajor} Nfc Component Library
Group: System/Libraries
Requires: %{libqtnfc} = %{version}
Provides: qt5nfc = %{version}

%description -n qtnfc5
Qt%{qtmajor} Component Library.

The Qt Nfc Enables connectivity between NFC enabled devices.

%files -n qtnfc5
%{_qt5_prefix}/qml/QtNfc

#------------------------------------------------------------------------------

%package -n %{libqtnfc}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtnfc}
Qt%{qtmajor} Component Library.

The Qt Nfc Enables connectivity between NFC enabled devices.

%files -n %{libqtnfc}
%{_qt5_libdir}/libQt5Nfc.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtnfc_d}
Summary: Devel files needed to build apps based on QtNfc
Group: Development/KDE and Qt
Requires: %{libqtnfc} = %version
Provides: libqtnfc5-devel = %version
Provides: libqt5nfc-devel = %version
Provides: qtnfc5-devel = %version
Provides: qt5nfc-devel = %version

%description -n %{libqtnfc_d}
Devel files needed to build apps based on Qt Nfc.

%files -n %{libqtnfc_d}
%{_qt5_libdir}/libQt5Nfc.prl
%{_qt5_libdir}/libQt5Nfc.so
%{_qt5_libdir}/pkgconfig/Qt5Nfc.pc
%{_qt5_libdir}/cmake/Qt5Nfc
%{_qt5_datadir}/examples/nfc
%{_qt5_datadir}/mkspecs/modules/qt_lib_nfc.pri
%{_qt5_includedir}/QtNfc
%exclude %{_qt5_includedir}/QtNfc/%qtversion

#------------------------------------------------------------------------------

%package -n %{libqtnfc_p_d}
Summary: Devel files needed to build apps based on QtNfc
Group:    Development/KDE and Qt
Requires: %{libqtnfc_d} = %version
Provides: libqtnfc5-private-devel = %version
Provides: libqt5nfc-private-devel = %version
Provides: qtnfc5-private-devel = %version
Provides: qt5nfc-private-devel = %version

%description -n %{libqtnfc_p_d}
Devel files needed to build apps based on QtNfc.

%files -n %{libqtnfc_p_d}
%{_qt5_includedir}/QtNfc/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_nfc_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5
%make

#------------------------------------------------------------------------------
%install
make INSTALL_ROOT=$RPM_BUILD_ROOT install

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la


%changelog
* Wed Jul 01 2015 filipesaraiva <filipesaraiva> 5.4.2-1.mga5
+ Revision: 849324
- Update to Qt 5.4.2;
- Fix URL to new address qt.io;

* Fri Dec 12 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802847
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801796
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 746895
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 688537
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639771
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624079
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621405
- 5.3.0 rc

* Sat Apr 05 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 611990
- 5.3.0beta

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-0.alpha.1.mga5
+ Revision: 598925
- New version

* Mon Feb 17 2014 fwang <fwang> 5.2.1-3.mga5
+ Revision: 593321
- fix libpkgname

* Mon Feb 17 2014 fwang <fwang> 5.2.1-2.mga5
+ Revision: 593221
- requires bluez dbus interface to work

* Mon Feb 17 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 593216
- update br
- imported package qtconnectivity5

